Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597199 - RuntimeError: Error running multipath: No such file or directory
Summary: RuntimeError: Error running multipath: No such file or directory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: RHEL Product and Program Management
QA Contact: Ben Levenson
URL:
Whiteboard: anaconda_trace_hash:4eefec4a8be4d590a...
Depends On:
Blocks: 590407
TreeView+ depends on / blocked
 
Reported: 2010-05-28 11:21 UTC by Marian Ganisin
Modified: 2010-06-10 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-03 21:11:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (deleted)
2010-05-28 11:21 UTC, Marian Ganisin
no flags Details
Attached traceback automatically from anaconda. (deleted)
2010-05-28 11:47 UTC, Martin Banas
no flags Details
Attached traceback automatically from anaconda. (deleted)
2010-06-09 07:23 UTC, Ales Kozumplik
no flags Details
Attached traceback automatically from anaconda. (deleted)
2010-06-09 07:25 UTC, Ales Kozumplik
no flags Details

Description Marian Ganisin 2010-05-28 11:21:09 UTC
The following was filed automatically by anaconda:
anaconda 13.21.48 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 236, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + e.strerror
  File "/usr/lib/anaconda/storage/devicelibs/mpath.py", line 80, in identifyMultipaths
    topology = parseMultipathOutput(iutil.execWithCapture("multipath", ["-d",]))
  File "/usr/lib/anaconda/iw/filter_gui.py", line 570, in getScreen
    (singlepaths, mpaths, partitions) = identifyMultipaths(disks)
  File "/usr/lib/anaconda/gui.py", line 1415, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1336, in nextClicked
    self.setScreen ()
RuntimeError: Error running multipath: No such file or directory

Comment 1 Marian Ganisin 2010-05-28 11:21:19 UTC
Created attachment 417570 [details]
Attached traceback automatically from anaconda.

Comment 3 Martin Banas 2010-05-28 11:47:11 UTC
Created attachment 417585 [details]
Attached traceback automatically from anaconda.

Comment 4 Martin Banas 2010-05-28 11:48:31 UTC
Same on x86_64, changing the architecture to all.

Comment 5 Chris Lumens 2010-05-28 14:17:32 UTC
Isn't this another instance of the case where the Client variant does not include the multipath tools?

Comment 6 Bill Nottingham 2010-05-28 21:00:28 UTC
Yes. Does this happen during the non-Live installation path?

Comment 7 Marian Ganisin 2010-06-01 05:13:41 UTC
(In reply to comment #6)
> Yes. Does this happen during the non-Live installation path?    

No, it doesn't.

Comment 8 Bill Nottingham 2010-06-01 19:36:53 UTC
Live installation isn't a supported path, ergo, closing.

Comment 9 Marian Ganisin 2010-06-02 12:06:08 UTC
Sorry for opening this again, however few questions need answers.

Resolution seems to be in conflict with Bug 222198, doesn't it?

If it is not supported, do we want to provide Live CD?

If yes, do we want to provide Live CD with installation icon on desktop?

Comment 10 Bill Nottingham 2010-06-02 15:14:48 UTC
Those are questions for PM. As I understand the current situation:

- LiveCDs are built as a testing tool
- Installation is not supported from them
- We're not planning on shipping the live images to partners/customers

Ergo, while we may want to nuke the installation icon, it's not a huge deal.

Comment 12 Ales Kozumplik 2010-06-09 07:23:54 UTC
Created attachment 422455 [details]
Attached traceback automatically from anaconda.

Comment 13 Ales Kozumplik 2010-06-09 07:25:26 UTC
Created attachment 422456 [details]
Attached traceback automatically from anaconda.


Note You need to log in before you can comment on or make changes to this bug.